Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class DigitizerInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.sg.DigitizerInfo

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class DigitizerInfo
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.lang.Cloneable

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`short` | `getblendLevels()` Indicates the number of blend levels the video digitizer component supports.
`int` | `getInputCapabilityFlags()` Indicates the capabilities of the video digitizer component with respect to the input video signal.
`short` | `getmaxDestHeight()` Indicates the largest height value the digitizer component can accommodate in its destination.
`short` | `getmaxDestWidth()` Indicates the maximum width the digitizer component can accommodate in its destination.
`short` | `getMinDestHeight()` Indicates the smallest height value the digitizer component can accommodate in its destination.
`short` | `getMinDestWidth()` Indicates the smallest width value the digitizer component can accommodate in its destination.
`int` | `getOutputCapabilityFlags()` Indicates the capabilities of the video digitizer component with respect to the output digitized video information.
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Method Detail

### getInputCapabilityFlags

    public int getInputCapabilityFlags()

  Indicates the capabilities of the video digitizer component with respect to the input video signal. These flags are discussed in ÒCapability FlagsÓ beginning on page 8-14 of Inside Macintosh: QuickTime Components.
  Returns:
    input video signal features.

### getOutputCapabilityFlags

    public int getOutputCapabilityFlags()

  Indicates the capabilities of the video digitizer component with respect to the output digitized video information. These flags are discussed in ÒCapability FlagsÓ beginning on page 8-14 of Inside Macintosh: QuickTime Components.
  Returns:
    output digitized video data features of digitizer component

### getMinDestHeight

    public short getMinDestHeight()

  Indicates the smallest height value the digitizer component can accommodate in its destination.
  Returns:
    the minimum Destination width

### getMinDestWidth

    public short getMinDestWidth()

  Indicates the smallest width value the digitizer component can accommodate in its destination.
  Returns:
    the minimum Destination width

### getmaxDestHeight

    public short getmaxDestHeight()

  Indicates the largest height value the digitizer component can accommodate in its destination.
  Returns:
    largest resizable height

### getmaxDestWidth

    public short getmaxDestWidth()

  Indicates the maximum width the digitizer component can accommodate in its destination.
  Returns:
    largest resizable width

### getblendLevels

    public short getblendLevels()

  Indicates the number of blend levels the video digitizer component supports.
  Returns:
    number of blend levels supported (2 if 1-bit mask)

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `QTByteObject`
  Returns:
    a string representing this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD